#!/bin/bash
# This script must be run from the directory containing PMComm.app

LIBPMCOMM_DIR=$(cd ../libpmcomm; pwd)

# Signing identity
IDENTITY="Bogart Engineering"

# Make sure the project is compiled
make

# Arrange the contents
rm -rf mac-dmg-contents
mkdir mac-dmg-contents
cp -r PMComm.app mac-dmg-contents/
xattr -cr mac-dmg-contents/PMComm.app
ln -s /Applications mac-dmg-contents/
cp ../LICENSE.txt mac-dmg-contents/
cp ../THIRD-PARTY.txt mac-dmg-contents/

# Only modify the copied version
cd mac-dmg-contents

# Run the deploy script to get the Qt libraries
macdeployqt PMComm.app -appstore-compliant

# Sign the application
codesign -s "$IDENTITY" --deep -o runtime --timestamp PMComm.app

cd ..

# Make .dmg
rm -f PMComm2.dmg
hdiutil create "PMComm2.dmg" -srcfolder mac-dmg-contents -format UDZO -volname "PMComm 2"
