#include "mainwindow.h"
#include "libpmcomm.h"
#include "appsettings.h"

#include <QApplication>
#include <QCoreApplication>
#include <QSettings>
#include <QLocale>

int main(int argc, char *argv[]) {
    QApplication app(argc, argv);
    PMNetInitialize();

    QLocale::setDefault(QLocale::C);
    QCoreApplication::setOrganizationName("Bogart Engineering");
    QCoreApplication::setOrganizationDomain("bogartengineering.com");
    QCoreApplication::setApplicationName("PMComm");
    QCoreApplication::setApplicationVersion(APP_VERSION);
    
    QSettings settings;
    AppSettings appSettings(&settings);
    AppSettings::setSingletonInstance(&appSettings);

    MainWindow window;
    window.show();
    return app.exec();
}
